<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
	
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'ut2wcoin')
	{
		$character = $_POST['character'];
		$ut = $_POST['ut'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($character))
		{
			$error = "Chưa chọn nhân vật.";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (preg_match("/[^0-9$]/", $ut))
		{
	    	$error = "<font size='2' color='red'>Dữ liệu lỗi : $ut . Chỉ được sử dụng số (1-9).</font>"; 
		}
		elseif ( $ut <= 0 ) {
			$error = "<font size='2' color='red'>Dữ liệu lỗi : Điểm UT cần đổi phải lớn hơn 0.</font>"; 
		}
		elseif ( $_SESSION['nv_point_uythac'] < $ut ) {
			$error = "<font size='2' color='red'>Dữ liệu lỗi : Điểm UT cần đổi lớn hơn điểm UT có trong nhân vật.</font>"; 
		}
		elseif ( ($_SESSION['nv_point_uythac'] - $ut) < 0 ) {
			$error = "<font size='2' color='red'>Dữ liệu lỗi : Nhân vật không đủ điểm UT, sau khi đổi nhân vật bị âm điểm UT.</font>"; 
		}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'ut'    =>  $ut,
                'pagesv'	=>	'sv_char_ut2wcoin',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);

				if ( $info[0] == 'OK' ) {
					$notice = $info[1];
					$_SESSION['nv_point_uythac'] = $_SESSION['nv_point_uythac'] - $ut;
				}
				else $error = $reponse;
			}
		}
	}
}

$accept = 1;

if (isset($_SESSION['nv_doinv']) && $_SESSION['nv_doinv'] == 1) $doinv = "<font color='green'>Đã đổi</font>"; else {
    $doinv = "<font color='red'><b>Chưa đổi</b></font><br>(Sau khi đổi nhân vật khác trong Game, hãy chọn lại nhân vật trên Web)";
    $accept = 0;
}

$page_template = "templates/char_manager/ut2wcoin.tpl";
?>